Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -2886,18 +2892,18 @@
 						$conditionData['parentRec'] = $row;
 
 						$tRows = array();
-						foreach($rotateLang as $vDEFkey)	{
+						foreach ($rotateLang as $vDEFkey) {
-							$vDEFkey = 'v'.$vDEFkey;
+							$vDEFkey = 'v' . $vDEFkey;
 
 							if (!$value['TCEforms']['displayCond'] || $this->isDisplayCondition($value['TCEforms']['displayCond'], $conditionData, $vDEFkey)) {
-								$fakePA=array();
+								$fakePA = array();
-								$fakePA['fieldConf']=array(
+								$fakePA['fieldConf'] = array(
 									'label' => $this->sL(trim($value['TCEforms']['label'])),
 									'config' => $value['TCEforms']['config'],
 									'defaultExtras' => $value['TCEforms']['defaultExtras'],
 									'onChange' => $value['TCEforms']['onChange']
 								);
-								if ($PA['_noEditDEF'] && $PA['_lang']==='lDEF') {
+								if ($PA['_noEditDEF'] && $PA['_lang'] === 'lDEF') {
 									$fakePA['fieldConf']['config'] = array(
 										'type' => 'none',
 										'rows' => 2
@@ -2906,9 +2912,9 @@
 
 								if (
 									$fakePA['fieldConf']['onChange'] == 'reload' ||
-									($GLOBALS['TCA'][$table]['ctrl']['type'] && !strcmp($key,$GLOBALS['TCA'][$table]['ctrl']['type'])) ||
+									($GLOBALS['TCA'][$table]['ctrl']['type'] && !strcmp($key, $GLOBALS['TCA'][$table]['ctrl']['type'])) ||
-									($GLOBALS['TCA'][$table]['ctrl']['requestUpdate'] && t3lib_div::inList($GLOBALS['TCA'][$table]['ctrl']['requestUpdate'],$key))) {
+									($GLOBALS['TCA'][$table]['ctrl']['requestUpdate'] && t3lib_div::inList($GLOBALS['TCA'][$table]['ctrl']['requestUpdate'], $key))) {
-									if ($GLOBALS['BE_USER']->jsConfirmation(1))	{
+									if ($GLOBALS['BE_USER']->jsConfirmation(1)) {
 										$alertMsgOnChange = 'if (confirm(TBE_EDITOR.labels.onChangeAlert) && TBE_EDITOR.checkSubmit(-1)){ TBE_EDITOR.submitForm() };';
 									} else {
 										$alertMsgOnChange = 'if(TBE_EDITOR.checkSubmit(-1)){ TBE_EDITOR.submitForm();}';
@@ -2917,36 +2923,36 @@
 									$alertMsgOnChange = '';
 								}
 
-								$fakePA['fieldChangeFunc']=$PA['fieldChangeFunc'];
+								$fakePA['fieldChangeFunc'] = $PA['fieldChangeFunc'];
 								if (strlen($alertMsgOnChange)) {
-									$fakePA['fieldChangeFunc']['alert']=$alertMsgOnChange;
+									$fakePA['fieldChangeFunc']['alert'] = $alertMsgOnChange;
 								}
-								$fakePA['onFocus']=$PA['onFocus'];
+								$fakePA['onFocus'] = $PA['onFocus'];
-								$fakePA['label']=$PA['label'];
+								$fakePA['label'] = $PA['label'];
 
-								$fakePA['itemFormElName']=$PA['itemFormElName'].$formPrefix.'['.$key.']['.$vDEFkey.']';
+								$fakePA['itemFormElName'] = $PA['itemFormElName'] . $formPrefix . '[' . $key . '][' . $vDEFkey . ']';
-								$fakePA['itemFormElName_file']=$PA['itemFormElName_file'].$formPrefix.'['.$key.']['.$vDEFkey.']';
+								$fakePA['itemFormElName_file'] = $PA['itemFormElName_file'] . $formPrefix . '[' . $key . '][' . $vDEFkey . ']';
 
-								if(isset($editData[$key][$vDEFkey])) {
+								if (isset($editData[$key][$vDEFkey])) {
-									$fakePA['itemFormElValue']=$editData[$key][$vDEFkey];
+									$fakePA['itemFormElValue'] = $editData[$key][$vDEFkey];
 								} else {
-									$fakePA['itemFormElValue']=$fakePA['fieldConf']['config']['default'];
+									$fakePA['itemFormElValue'] = $fakePA['fieldConf']['config']['default'];
 								}
 
-								$theFormEl= $this->getSingleField_SW($table,$field,$row,$fakePA);
+								$theFormEl = $this->getSingleField_SW($table, $field, $row, $fakePA);
-								$theTitle= htmlspecialchars($fakePA['fieldConf']['label']);
+								$theTitle = htmlspecialchars($fakePA['fieldConf']['label']);
 
-								if (!in_array('DEF',$rotateLang))	{
+								if (!in_array('DEF', $rotateLang)) {
 									$defInfo = '<div class="typo3-TCEforms-originalLanguageValue">' . $this->getLanguageIcon($table, $row, 0) .
-												$this->previewFieldValue($editData[$key]['vDEF'], $fakePA['fieldConf'], $field) . '&nbsp;</div>';
+											   $this->previewFieldValue($editData[$key]['vDEF'], $fakePA['fieldConf'], $field) . '&nbsp;</div>';
 								} else {
 									$defInfo = '';
 								}
 
-								if (!$PA['_noEditDEF'])	{
+								if (!$PA['_noEditDEF']) {
 									$prLang = $this->getAdditionalPreviewLanguages();
-									foreach($prLang as $prL)	{
+									foreach ($prLang as $prL) {
-										$defInfo.= '<div class="typo3-TCEforms-originalLanguageValue">'.$this->getLanguageIcon($table, $row, 'v' . $prL['ISOcode']) .
+										$defInfo .= '<div class="typo3-TCEforms-originalLanguageValue">' . $this->getLanguageIcon($table, $row, 'v' . $prL['ISOcode']) .
 													$this->previewFieldValue($editData[$key]['v' . $prL['ISOcode']], $fakePA['fieldConf'], $field) . '&nbsp;</div>';
 									}
 								}
@@ -2958,21 +2964,23 @@
 									// Put row together
 									// possible linebreaks in the label through xml: \n => <br/>, usage of nl2br() not possible, so it's done through str_replace
 								$processedTitle = str_replace('\n', '<br />', $theTitle);
-								$tRows[]='<div class="t3-form-field-container t3-form-field-container-flex">' .
+								$tRows[] = '<div class="t3-form-field-container t3-form-field-container-flex">' .
-									'<div class="t3-form-field-label t3-form-field-label-flex">' .
-									$this->helpTextIcon_typeFlex($key, $processedTitle, $PA['_cshFile']) .
-									$languageIcon .
-									$processedTitle .
-									'</div>
+										   '<div class="t3-form-field-label t3-form-field-label-flex">' .
+										   $this->helpTextIcon_typeFlex($key, $processedTitle, $PA['_cshFile']) .
+										   $languageIcon .
+										   $processedTitle .
+										   '</div>
-									<div class="t3-form-field t3-form-field-flex">'.$theFormEl.$defInfo.$this->renderVDEFDiff($editData[$key],$vDEFkey).'</div>
+									<div class="t3-form-field t3-form-field-flex">' . $theFormEl . $defInfo . $this->renderVDEFDiff($editData[$key], $vDEFkey) . '</div>
 								</div>';
 							}
 						}
-						if (count($tRows))	$output.= implode('',$tRows);
+						if (count($tRows)) {
+							$output .= implode('', $tRows);
-					}
-				}
-			}
-		}
+						}
+					}
+				}
+			}
+		}
 
 		return $output;
 	}
@@ -2986,8 +2994,8 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeUnknown($table,$field,$row,&$PA)	{
+	function getSingleField_typeUnknown($table, $field, $row, &$PA) {
-		$item='Unknown type: '.$PA['fieldConf']['config']['form_type'].'<br />';
+		$item = 'Unknown type: ' . $PA['fieldConf']['config']['form_type'] . '<br />';
 
 		return $item;
 	}
@@ -3001,21 +3009,17 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeUser($table,$field,$row,&$PA)	{
+	function getSingleField_typeUser($table, $field, $row, &$PA) {
-		$PA['table']=$table;
+		$PA['table'] = $table;
-		$PA['field']=$field;
+		$PA['field'] = $field;
-		$PA['row']=$row;
+		$PA['row'] = $row;
 
-		$PA['pObj']=&$this;
+		$PA['pObj'] =& $this;
 
-		return t3lib_div::callUserFunction($PA['fieldConf']['config']['userFunc'],$PA,$this);
+		return t3lib_div::callUserFunction($PA['fieldConf']['config']['userFunc'], $PA, $this);
 	}
 
 
-
-
-
-
 	/************************************************************
 	 *
 	 * Field content processing
@@ -3030,79 +3034,79 @@
 	 * @param	string		The value to display
 	 * @return	string		Formatted Field content
 	 */
-	function formatValue ($config, $itemValue)	{
+	function formatValue($config, $itemValue) {
 		$format = trim($config['format']);
-		switch($format)	{
+		switch ($format) {
 			case 'date':
-				if ($itemValue)	{
+				if ($itemValue) {
 					$option = trim($config['format.']['option']);
-					if ($option)	{
+					if ($option) {
-						if ($config['format.']['strftime'])	{
+						if ($config['format.']['strftime']) {
-							$value = strftime($option,$itemValue);
+							$value = strftime($option, $itemValue);
 						} else {
-							$value = date($option,$itemValue);
+							$value = date($option, $itemValue);
 						}
 					} else {
-						$value = date('d-m-Y',$itemValue);
+						$value = date('d-m-Y', $itemValue);
 					}
 				} else {
 					$value = '';
 				}
-				if ($config['format.']['appendAge'])	{
+				if ($config['format.']['appendAge']) {
 					$value .= ' (' .
-						t3lib_BEfunc::calcAge(($GLOBALS['EXEC_TIME'] - $itemValue), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) .
-						')';
+							  t3lib_BEfunc::calcAge(($GLOBALS['EXEC_TIME'] - $itemValue), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) .
+							  ')';
 				}
 				$itemValue = $value;
-				break;
+			break;
-			case 'datetime':	// compatibility with "eval" (type "input")
+			case 'datetime': // compatibility with "eval" (type "input")
-				$itemValue = date('H:i d-m-Y',$itemValue);
+				$itemValue = date('H:i d-m-Y', $itemValue);
-				break;
+			break;
-			case 'time':	// compatibility with "eval" (type "input")
+			case 'time': // compatibility with "eval" (type "input")
-				$itemValue = date('H:i',$itemValue);
+				$itemValue = date('H:i', $itemValue);
-				break;
+			break;
-			case 'timesec':	// compatibility with "eval" (type "input")
+			case 'timesec': // compatibility with "eval" (type "input")
-				$itemValue = date('H:i:s',$itemValue);
+				$itemValue = date('H:i:s', $itemValue);
-				break;
+			break;
-			case 'year':	// compatibility with "eval" (type "input")
+			case 'year': // compatibility with "eval" (type "input")
-				$itemValue = date('Y',$itemValue);
+				$itemValue = date('Y', $itemValue);
-				break;
+			break;
 			case 'int':
-				$baseArr = array('dec'=>'d','hex'=>'x','HEX'=>'X','oct'=>'o','bin'=>'b');
+				$baseArr = array('dec' => 'd', 'hex' => 'x', 'HEX' => 'X', 'oct' => 'o', 'bin' => 'b');
 				$base = trim($config['format.']['base']);
 				$format = $baseArr[$base] ? $baseArr[$base] : 'd';
-				$itemValue = sprintf('%'.$format,$itemValue);
+				$itemValue = sprintf('%' . $format, $itemValue);
-				break;
+			break;
 			case 'float':
-				$precision = t3lib_div::intInRange($config['format.']['precision'],1,10,2);
+				$precision = t3lib_div::intInRange($config['format.']['precision'], 1, 10, 2);
-				$itemValue = sprintf('%.'.$precision.'f',$itemValue);
+				$itemValue = sprintf('%.' . $precision . 'f', $itemValue);
-				break;
+			break;
 			case 'number':
 				$format = trim($config['format.']['option']);
-				$itemValue = sprintf('%'.$format,$itemValue);
+				$itemValue = sprintf('%' . $format, $itemValue);
-				break;
+			break;
 			case 'md5':
 				$itemValue = md5($itemValue);
-				break;
+			break;
 			case 'filesize':
 				$value = t3lib_div::formatSize(intval($itemValue));
-				if ($config['format.']['appendByteSize'])	{
+				if ($config['format.']['appendByteSize']) {
-					$value .= ' ('.$itemValue.')';
+					$value .= ' (' . $itemValue . ')';
 				}
 				$itemValue = $value;
-				break;
+			break;
 			case 'user':
 				$func = trim($config['format.']['userFunc']);
-				if ($func)	{
+				if ($func) {
 					$params = array(
 						'value' => $itemValue,
 						'args' => $config['format.']['userFunc'],
 						'config' => $config,
 						'pObj' => &$this
 					);
-					$itemValue = t3lib_div::callUserFunction($func,$params,$this);
+					$itemValue = t3lib_div::callUserFunction($func, $params, $this);
 				}
-				break;
+			break;
 			default:
 			break;
 		}
@@ -3111,10 +3115,6 @@
 	}
 
 
-
-
-
-
 	/************************************************************
 	 *
 	 * "Configuration" fetching/processing functions
@@ -3128,20 +3128,22 @@
 	 * @param	array		The row from the table, should contain at least the "type" field, if applicable.
 	 * @return	string		Return the "type" value for this record, ready to pick a "types" configuration from the $TCA array.
 	 */
-	function getRTypeNum($table,$row)	{
+	function getRTypeNum($table, $row) {
 		global $TCA;
 			// If there is a "type" field configured...
-		if ($TCA[$table]['ctrl']['type'])	{
+		if ($TCA[$table]['ctrl']['type']) {
 			$typeFieldName = $TCA[$table]['ctrl']['type'];
 			$typeFieldConfig = $TCA[$table]['columns'][$typeFieldName];
 			$typeNum = $this->getLanguageOverlayRawValue($table, $row, $typeFieldName, $typeFieldConfig);
-			if (!strcmp($typeNum,''))	$typeNum=0;			// If that value is an empty string, set it to "0" (zero)
+			if (!strcmp($typeNum, '')) {
+				$typeNum = 0;
+			} // If that value is an empty string, set it to "0" (zero)
 		} else {
-			$typeNum = 0;	// If no "type" field, then set to "0" (zero)
+			$typeNum = 0; // If no "type" field, then set to "0" (zero)
 		}
 
-		$typeNum = (string)$typeNum;		// Force to string. Necessary for eg '-1' to be recognized as a type value.
+		$typeNum = (string) $typeNum; // Force to string. Necessary for eg '-1' to be recognized as a type value.
-		if (!$TCA[$table]['types'][$typeNum])	{	// However, if the type "0" is not found in the "types" array, then default to "1" (for historical reasons)
+		if (!$TCA[$table]['types'][$typeNum]) { // However, if the type "0" is not found in the "types" array, then default to "1" (for historical reasons)
 			$typeNum = 1;
 		}
 
@@ -3155,18 +3157,18 @@
 	 * @return	array		Returns rearranged version (keys are changed around as well.)
 	 * @see getMainFields()
 	 */
-	function rearrange($fields)	{
+	function rearrange($fields) {
-		$fO = array_flip(t3lib_div::trimExplode(',',$this->fieldOrder,1));
+		$fO = array_flip(t3lib_div::trimExplode(',', $this->fieldOrder, 1));
-		$newFields=array();
+		$newFields = array();
-		foreach($fields as $cc => $content) {
+		foreach ($fields as $cc => $content) {
-			$cP = t3lib_div::trimExplode(';',$content);
+			$cP = t3lib_div::trimExplode(';', $content);
-			if (isset($fO[$cP[0]]))	{
+			if (isset($fO[$cP[0]])) {
 				$newFields[$fO[$cP[0]]] = $content;
 				unset($fields[$cc]);
 			}
 		}
 		ksort($newFields);
-		$fields=array_merge($newFields,$fields);		// Candidate for t3lib_div::array_merge() if integer-keys will some day make trouble...
+		$fields = array_merge($newFields, $fields); // Candidate for t3lib_div::array_merge() if integer-keys will some day make trouble...
 		return $fields;
 	}
 
@@ -3180,34 +3182,34 @@
 	 * @return	array		Array with fieldnames as values. The fieldnames are those which should NOT be displayed "anyways"
 	 * @see getMainFields()
 	 */
-	function getExcludeElements($table,$row,$typeNum)	{
+	function getExcludeElements($table, $row, $typeNum) {
 		global $TCA;
 
 			// Init:
-		$excludeElements=array();
+		$excludeElements = array();
 
 			// If a subtype field is defined for the type
-		if ($TCA[$table]['types'][$typeNum]['subtype_value_field'])	{
+		if ($TCA[$table]['types'][$typeNum]['subtype_value_field']) {
 			$sTfield = $TCA[$table]['types'][$typeNum]['subtype_value_field'];
-			if (trim($TCA[$table]['types'][$typeNum]['subtypes_excludelist'][$row[$sTfield]]))	{
+			if (trim($TCA[$table]['types'][$typeNum]['subtypes_excludelist'][$row[$sTfield]])) {
-				$excludeElements=t3lib_div::trimExplode(',',$TCA[$table]['types'][$typeNum]['subtypes_excludelist'][$row[$sTfield]],1);
+				$excludeElements = t3lib_div::trimExplode(',', $TCA[$table]['types'][$typeNum]['subtypes_excludelist'][$row[$sTfield]], 1);
 			}
 		}
 
 			// If a bitmask-value field has been configured, then find possible fields to exclude based on that:
-		if ($TCA[$table]['types'][$typeNum]['bitmask_value_field'])	{
+		if ($TCA[$table]['types'][$typeNum]['bitmask_value_field']) {
 			$sTfield = $TCA[$table]['types'][$typeNum]['bitmask_value_field'];
-			$sTValue = t3lib_div::intInRange($row[$sTfield],0);
+			$sTValue = t3lib_div::intInRange($row[$sTfield], 0);
-			if (is_array($TCA[$table]['types'][$typeNum]['bitmask_excludelist_bits']))	{
+			if (is_array($TCA[$table]['types'][$typeNum]['bitmask_excludelist_bits'])) {
-				foreach($TCA[$table]['types'][$typeNum]['bitmask_excludelist_bits'] as $bitKey => $eList) {
+				foreach ($TCA[$table]['types'][$typeNum]['bitmask_excludelist_bits'] as $bitKey => $eList) {
-					$bit=substr($bitKey,1);
+					$bit = substr($bitKey, 1);
-					if (t3lib_div::testInt($bit))	{
+					if (t3lib_div::testInt($bit)) {
-						$bit = t3lib_div::intInRange($bit,0,30);
+						$bit = t3lib_div::intInRange($bit, 0, 30);
 						if (
-								(substr($bitKey,0,1)=='-' && !($sTValue&pow(2,$bit))) ||
+							(substr($bitKey, 0, 1) == '-' && !($sTValue & pow(2, $bit))) ||
-								(substr($bitKey,0,1)=='+' && ($sTValue&pow(2,$bit)))
+							(substr($bitKey, 0, 1) == '+' && ($sTValue & pow(2, $bit)))
-							)	{
+						) {
-							$excludeElements = array_merge($excludeElements,t3lib_div::trimExplode(',',$eList,1));
+							$excludeElements = array_merge($excludeElements, t3lib_div::trimExplode(',', $eList, 1));
 						}
 					}
 				}
@@ -3227,21 +3229,21 @@
 	 * @return	array		An array containing two values: 1) Another array containing fieldnames to add and 2) the subtype value field.
 	 * @see getMainFields()
 	 */
-	function getFieldsToAdd($table,$row,$typeNum)	{
+	function getFieldsToAdd($table, $row, $typeNum) {
 		global $TCA;
 
 			// Init:
-		$addElements=array();
+		$addElements = array();
 
 			// If a subtype field is defined for the type
-		if ($TCA[$table]['types'][$typeNum]['subtype_value_field'])	{
+		if ($TCA[$table]['types'][$typeNum]['subtype_value_field']) {
 			$sTfield = $TCA[$table]['types'][$typeNum]['subtype_value_field'];
-			if (trim($TCA[$table]['types'][$typeNum]['subtypes_addlist'][$row[$sTfield]]))	{
+			if (trim($TCA[$table]['types'][$typeNum]['subtypes_addlist'][$row[$sTfield]])) {
-				$addElements=t3lib_div::trimExplode(',',$TCA[$table]['types'][$typeNum]['subtypes_addlist'][$row[$sTfield]],1);
+				$addElements = t3lib_div::trimExplode(',', $TCA[$table]['types'][$typeNum]['subtypes_addlist'][$row[$sTfield]], 1);
 			}
 		}
 			// Return the return
-		return array($addElements,$sTfield);
+		return array($addElements, $sTfield);
 	}
 
 	/**
@@ -3252,15 +3254,15 @@
 	 * @return	array		Return the modified $fields array.
 	 * @see getMainFields(),getFieldsToAdd()
 	 */
-	function mergeFieldsWithAddedFields($fields,$fieldsToAdd)	{
+	function mergeFieldsWithAddedFields($fields, $fieldsToAdd) {
-		if (count($fieldsToAdd[0]))	{
+		if (count($fieldsToAdd[0])) {
-			$c=0;
+			$c = 0;
-			foreach($fields as $fieldInfo) {
+			foreach ($fields as $fieldInfo) {
-				$parts = explode(';',$fieldInfo);
+				$parts = explode(';', $fieldInfo);
-				if (!strcmp(trim($parts[0]),$fieldsToAdd[1]))	{
+				if (!strcmp(trim($parts[0]), $fieldsToAdd[1])) {
 					array_splice(
 						$fields,
-						$c+1,
+						$c + 1,
 						0,
 						$fieldsToAdd[0]
 					);
@@ -3283,12 +3285,12 @@
 	 * @return	mixed		The TSconfig values (probably in an array)
 	 * @see t3lib_BEfunc::getTCEFORM_TSconfig()
 	 */
-	function setTSconfig($table,$row,$field='')	{
+	function setTSconfig($table, $row, $field = '') {
-		$mainKey = $table.':'.$row['uid'];
+		$mainKey = $table . ':' . $row['uid'];
-		if (!isset($this->cachedTSconfig[$mainKey]))	{
+		if (!isset($this->cachedTSconfig[$mainKey])) {
-			$this->cachedTSconfig[$mainKey]=t3lib_BEfunc::getTCEFORM_TSconfig($table,$row);
+			$this->cachedTSconfig[$mainKey] = t3lib_BEfunc::getTCEFORM_TSconfig($table, $row);
 		}
-		if ($field)	{
+		if ($field) {
 			return $this->cachedTSconfig[$mainKey][$field];
 		} else {
 			return $this->cachedTSconfig[$mainKey];
@@ -3312,7 +3314,7 @@
 			if (is_array($TSconfig['config']) && is_array($this->allowOverrideMatrix[$type])) {
 					// Check if the keys in TSconfig['config'] are allowed to override TCA field config:
 				foreach (array_keys($TSconfig['config']) as $key) {
-					if (!in_array($key, $this->allowOverrideMatrix[$type], true)) {
+					if (!in_array($key, $this->allowOverrideMatrix[$type], TRUE)) {
 						unset($TSconfig['config'][$key]);
 					}
 				}
@@ -3336,18 +3338,20 @@
 	 * @return	array
 	 * @see getSpecConfFromString(), t3lib_BEfunc::getTCAtypes()
 	 */
-	function getSpecConfForField($table,$row,$field)	{
+	function getSpecConfForField($table, $row, $field) {
 			// Finds the current "types" configuration for the table/row:
-		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table,$row);
+		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table, $row);
 
 			// If this is an array, then traverse it:
-		if (is_array($types_fieldConfig))	{
+		if (is_array($types_fieldConfig)) {
-			foreach($types_fieldConfig as $vconf)	{
+			foreach ($types_fieldConfig as $vconf) {
 					// If the input field name matches one found in the 'types' list, then return the 'special' configuration.
-				if ($vconf['field']==$field)	return $vconf['spec'];
+				if ($vconf['field'] == $field) {
+					return $vconf['spec'];
-			}
-		}
-	}
+				}
+			}
+		}
+	}
 
 	/**
 	 * Returns the "special" configuration of an "extra" string (non-parsed)
@@ -3357,7 +3361,7 @@
 	 * @return	array		An array with the special options in.
 	 * @see getSpecConfForField(), t3lib_BEfunc::getSpecConfParts()
 	 */
-	function getSpecConfFromString($extraString, $defaultExtras)    {
+	function getSpecConfFromString($extraString, $defaultExtras) {
 		return t3lib_BEfunc::getSpecConfParts($extraString, $defaultExtras);
 	}
 
@@ -3371,31 +3375,31 @@
 	 * @param	string		Optional alternative list of fields for the palette
 	 * @return	array		The palette elements
 	 */
-	public function loadPaletteElements($table, $row, $palette, $itemList='')	{
+	public function loadPaletteElements($table, $row, $palette, $itemList = '') {
 		global $TCA;
 
 		t3lib_div::loadTCA($table);
 		$parts = array();
 
 			// Getting excludeElements, if any.
-		if (!is_array($this->excludeElements))	{
+		if (!is_array($this->excludeElements)) {
-			$this->excludeElements = $this->getExcludeElements($table, $row, $this->getRTypeNum($table,$row));
+			$this->excludeElements = $this->getExcludeElements($table, $row, $this->getRTypeNum($table, $row));
 		}
 
 			// Load the palette TCEform elements
-		if ($TCA[$table] && (is_array($TCA[$table]['palettes'][$palette]) || $itemList))	{
+		if ($TCA[$table] && (is_array($TCA[$table]['palettes'][$palette]) || $itemList)) {
 			$itemList = ($itemList ? $itemList : $TCA[$table]['palettes'][$palette]['showitem']);
-			if ($itemList)	{
+			if ($itemList) {
-				$fields = t3lib_div::trimExplode(',',$itemList,1);
+				$fields = t3lib_div::trimExplode(',', $itemList, 1);
-				foreach($fields as $info)	{
+				foreach ($fields as $info) {
-					$fieldParts = t3lib_div::trimExplode(';',$info);
+					$fieldParts = t3lib_div::trimExplode(';', $info);
 					$theField = $fieldParts[0];
 					if ($theField === '--linebreak--') {
 						$parts[]['NAME'] = '--linebreak--';
-					} elseif (!in_array($theField,$this->excludeElements) && $TCA[$table]['columns'][$theField])	{
+					} elseif (!in_array($theField, $this->excludeElements) && $TCA[$table]['columns'][$theField]) {
 						$this->palFieldArr[$palette][] = $theField;
-						$elem = $this->getSingleField($table,$theField,$row,$fieldParts[1],1,'',$fieldParts[2]);
+						$elem = $this->getSingleField($table, $theField, $row, $fieldParts[1], 1, '', $fieldParts[2]);
-						if (is_array($elem))	{
+						if (is_array($elem)) {
 							$parts[] = $elem;
 						}
 					}
@@ -3406,13 +3410,6 @@
 	}
 
 
-
-
-
-
-
-
-
 	/************************************************************
 	 *
 	 * Display of localized content etc.
@@ -3428,32 +3425,32 @@
 	 * @param	array		Record array of the record being edited
 	 * @return	void
 	 */
-	function registerDefaultLanguageData($table,$rec)	{
+	function registerDefaultLanguageData($table, $rec) {
 		global $TCA;
 
 			// Add default language:
 		if ($TCA[$table]['ctrl']['languageField']
-				&& $rec[$TCA[$table]['ctrl']['languageField']] > 0
-				&& $TCA[$table]['ctrl']['transOrigPointerField']
+			&& $rec[$TCA[$table]['ctrl']['languageField']] > 0
+			&& $TCA[$table]['ctrl']['transOrigPointerField']
-				&& intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]) > 0)	{
+			&& intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]) > 0) {
 
 			$lookUpTable = $TCA[$table]['ctrl']['transOrigPointerTable'] ? $TCA[$table]['ctrl']['transOrigPointerTable'] : $table;
 
 				// Get data formatted:
-			$this->defaultLanguageData[$table.':'.$rec['uid']] = t3lib_BEfunc::getRecordWSOL($lookUpTable, intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]));
+			$this->defaultLanguageData[$table . ':' . $rec['uid']] = t3lib_BEfunc::getRecordWSOL($lookUpTable, intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]));
 
 				// Get data for diff:
-			if ($TCA[$table]['ctrl']['transOrigDiffSourceField'])	{
+			if ($TCA[$table]['ctrl']['transOrigDiffSourceField']) {
-				$this->defaultLanguageData_diff[$table.':'.$rec['uid']] = unserialize($rec[$TCA[$table]['ctrl']['transOrigDiffSourceField']]);
+				$this->defaultLanguageData_diff[$table . ':' . $rec['uid']] = unserialize($rec[$TCA[$table]['ctrl']['transOrigDiffSourceField']]);
 			}
 
 				// If there are additional preview languages, load information for them also:
 			$prLang = $this->getAdditionalPreviewLanguages();
-			foreach($prLang as $prL)	{
+			foreach ($prLang as $prL) {
 				$t8Tools = t3lib_div::makeInstance('t3lib_transl8tools');
-				$tInfo = $t8Tools->translationInfo($lookUpTable,intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]),$prL['uid']);
+				$tInfo = $t8Tools->translationInfo($lookUpTable, intval($rec[$TCA[$table]['ctrl']['transOrigPointerField']]), $prL['uid']);
-				if (is_array($tInfo['translations'][$prL['uid']]))	{
+				if (is_array($tInfo['translations'][$prL['uid']])) {
-					$this->additionalPreviewLanguageData[$table.':'.$rec['uid']][$prL['uid']] = t3lib_BEfunc::getRecordWSOL($table, intval($tInfo['translations'][$prL['uid']]['uid']));
+					$this->additionalPreviewLanguageData[$table . ':' . $rec['uid']][$prL['uid']] = t3lib_BEfunc::getRecordWSOL($table, intval($tInfo['translations'][$prL['uid']]['uid']));
 				}
 			}
 		}
@@ -3470,16 +3467,16 @@
 	 * @param	array		Content of $PA['fieldConf']
 	 * @return	string		Unprocessed field value merged with default language data if needed
 	 */
-	function getLanguageOverlayRawValue($table, $row, $field, $fieldConf)	{
+	function getLanguageOverlayRawValue($table, $row, $field, $fieldConf) {
 		global $TCA;
 
 		$value = $row[$field];
 
-		if (is_array($this->defaultLanguageData[$table.':'.$row['uid']]))	{
+		if (is_array($this->defaultLanguageData[$table . ':' . $row['uid']])) {
 
-			if ($fieldConf['l10n_mode']=='exclude'
+			if ($fieldConf['l10n_mode'] == 'exclude'
-					|| ($fieldConf['l10n_mode']=='mergeIfNotBlank' && strcmp(trim($this->defaultLanguageData[$table.':'.$row['uid']][$field]),'')))	{
+				|| ($fieldConf['l10n_mode'] == 'mergeIfNotBlank' && strcmp(trim($this->defaultLanguageData[$table . ':' . $row['uid']][$field]), ''))) {
-				$value = $this->defaultLanguageData[$table.':'.$row['uid']][$field];
+				$value = $this->defaultLanguageData[$table . ':' . $row['uid']][$field];
 			}
 
 		}
@@ -3498,25 +3495,25 @@
 	 * @return	string		Item string returned again, possibly with the original value added to.
 	 * @see getSingleField(), registerDefaultLanguageData()
 	 */
-	function renderDefaultLanguageContent($table,$field,$row,$item)	{
+	function renderDefaultLanguageContent($table, $field, $row, $item) {
-		if (is_array($this->defaultLanguageData[$table.':'.$row['uid']]))	{
+		if (is_array($this->defaultLanguageData[$table . ':' . $row['uid']])) {
-			$dLVal = t3lib_BEfunc::getProcessedValue($table,$field,$this->defaultLanguageData[$table.':'.$row['uid']][$field],0,1);
+			$dLVal = t3lib_BEfunc::getProcessedValue($table, $field, $this->defaultLanguageData[$table . ':' . $row['uid']][$field], 0, 1);
 			$fCfg = $GLOBALS['TCA'][$table]['columns'][$field];
 
 				// Don't show content if it's for IRRE child records:
-			if ($fCfg['config']['type']!='inline') {
+			if ($fCfg['config']['type'] != 'inline') {
-				if (strcmp($dLVal,''))	{
+				if (strcmp($dLVal, '')) {
 					$item .= '<div class="typo3-TCEforms-originalLanguageValue">' . $this->getLanguageIcon($table, $row, 0) .
-							$this->previewFieldValue($dLVal, $fCfg, $field) . '&nbsp;</div>';
+							 $this->previewFieldValue($dLVal, $fCfg, $field) . '&nbsp;</div>';
 				}
 
 				$prLang = $this->getAdditionalPreviewLanguages();
-				foreach($prLang as $prL)	{
+				foreach ($prLang as $prL) {
-					$dlVal = t3lib_BEfunc::getProcessedValue($table,$field,$this->additionalPreviewLanguageData[$table.':'.$row['uid']][$prL['uid']][$field],0,1);
+					$dlVal = t3lib_BEfunc::getProcessedValue($table, $field, $this->additionalPreviewLanguageData[$table . ':' . $row['uid']][$prL['uid']][$field], 0, 1);
 
-					if(strcmp($dlVal, '')) {
+					if (strcmp($dlVal, '')) {
 						$item .= '<div class="typo3-TCEforms-originalLanguageValue">' . $this->getLanguageIcon($table, $row, 'v' . $prL['ISOcode']) .
-								$this->previewFieldValue($dlVal, $fCfg, $field) . '&nbsp;</div>';
+								 $this->previewFieldValue($dlVal, $fCfg, $field) . '&nbsp;</div>';
 					}
 				}
 			}
@@ -3536,29 +3533,29 @@
 	 * @return	string		Item string returned again, possibly with the original value added to.
 	 * @see getSingleField(), registerDefaultLanguageData()
 	 */
-	function renderDefaultLanguageDiff($table,$field,$row,$item)	{
+	function renderDefaultLanguageDiff($table, $field, $row, $item) {
-		if (is_array($this->defaultLanguageData_diff[$table.':'.$row['uid']]))	{
+		if (is_array($this->defaultLanguageData_diff[$table . ':' . $row['uid']])) {
 
 				// Initialize:
 			$dLVal = array(
-				'old' => $this->defaultLanguageData_diff[$table.':'.$row['uid']],
+				'old' => $this->defaultLanguageData_diff[$table . ':' . $row['uid']],
-				'new' => $this->defaultLanguageData[$table.':'.$row['uid']],
+				'new' => $this->defaultLanguageData[$table . ':' . $row['uid']],
 			);
 
-			if (isset($dLVal['old'][$field]))	{	// There must be diff-data:
+			if (isset($dLVal['old'][$field])) { // There must be diff-data:
-			 	if (strcmp($dLVal['old'][$field],$dLVal['new'][$field]))	{
+				if (strcmp($dLVal['old'][$field], $dLVal['new'][$field])) {
 
 						// Create diff-result:
 					$t3lib_diff_Obj = t3lib_div::makeInstance('t3lib_diff');
 					$diffres = $t3lib_diff_Obj->makeDiffDisplay(
-						t3lib_BEfunc::getProcessedValue($table,$field,$dLVal['old'][$field],0,1),
+						t3lib_BEfunc::getProcessedValue($table, $field, $dLVal['old'][$field], 0, 1),
-						t3lib_BEfunc::getProcessedValue($table,$field,$dLVal['new'][$field],0,1)
+						t3lib_BEfunc::getProcessedValue($table, $field, $dLVal['new'][$field], 0, 1)
 					);
 
-					$item.='<div class="typo3-TCEforms-diffBox">'.
+					$item .= '<div class="typo3-TCEforms-diffBox">' .
-						'<div class="typo3-TCEforms-diffBox-header">'.htmlspecialchars($this->getLL('l_changeInOrig')).':</div>'.
+							 '<div class="typo3-TCEforms-diffBox-header">' . htmlspecialchars($this->getLL('l_changeInOrig')) . ':</div>' .
-						$diffres.
+							 $diffres .
-					'</div>';
+							 '</div>';
 				}
 			}
 		}
